summaryrefslogtreecommitdiffstats
path: root/target/linux/ipq806x/base-files
diff options
context:
space:
mode:
authorJonas Gorski <jogo@openwrt.org>2015-09-04 14:45:00 +0000
committerJonas Gorski <jogo@openwrt.org>2015-09-04 14:45:00 +0000
commit89815d4645fa5d44cbfcf4ebed6e73ce11cbd040 (patch)
treeba7ffa2129ad50ed44358fc0e906359879abf649 /target/linux/ipq806x/base-files
parente3f6876623786d5954533c07e89fd2001557c12e (diff)
downloadmaster-31e0f0ae-89815d4645fa5d44cbfcf4ebed6e73ce11cbd040.tar.gz
master-31e0f0ae-89815d4645fa5d44cbfcf4ebed6e73ce11cbd040.tar.bz2
master-31e0f0ae-89815d4645fa5d44cbfcf4ebed6e73ce11cbd040.zip
ipq806x: build images and add sysupgrade support for AP148
Add full ubi and sysupgrade images for AP148 and add sysupgrade support for ipq806x to allow updating the current installation. Signed-off-by: Jonas Gorski <jogo@openwrt.org> SVN-Revision: 46789
Diffstat (limited to 'target/linux/ipq806x/base-files')
-rw-r--r--target/linux/ipq806x/base-files/lib/upgrade/platform.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/target/linux/ipq806x/base-files/lib/upgrade/platform.sh b/target/linux/ipq806x/base-files/lib/upgrade/platform.sh
new file mode 100644
index 0000000000..e834ead0fd
--- /dev/null
+++ b/target/linux/ipq806x/base-files/lib/upgrade/platform.sh
@@ -0,0 +1,18 @@
+. /lib/ipq806x.sh
+
+PART_NAME=firmware
+
+platform_check_image() {
+ local board=$(ipq806x_board_name)
+
+ case "$board" in
+ AP148)
+ nand_do_platform_check $board $1
+ return $?;
+ ;;
+ *)
+ return 1;
+ esac
+}
+
+# use default for platform_do_upgrade()